﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        body
        {
            font-family: Arial;
            font-size: 10pt;
        }
        .modalBackground
        {
            background-color: Black;
            filter: alpha(opacity=60);
            opacity: 0.6;
        }
        .modalPopup
        {
            background-color: #FFFFFF;
            width: 300px;
            border: 3px solid #0DA9D0;
            padding: 0;
        }
        .modalPopup .header
        {
            background-color: #2FBDF1;
            height: 30px;
            color: White;
            line-height: 30px;
            text-align: center;
            font-weight: bold;
        }
        .modalPopup .body
        {
            min-height: 50px;
            line-height: 30px;
            text-align: center;
        }
        .modalPopup .body span
        {
            font-weight: bold;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ToolkitScriptManager ID="ToolkitScriptManager1" runat="server">
    </asp:ToolkitScriptManager>
    Name:
    <asp:TextBox ID="txtName" runat="server" />
    <asp:RequiredFieldValidator ErrorMessage="Required" ControlToValidate="txtName" ForeColor="Red"
        Display="Dynamic" runat="server" />
    <br />
    <br />
    <asp:Button ID="btnDisplayName" runat="server" Text="Display Name" CausesValidation="false"
        OnClientClick="return DisplayName()" />
    <asp:LinkButton ID="lnkDummy" runat="server"></asp:LinkButton>
    <asp:ModalPopupExtender ID="ModalPopupExtender1" BehaviorID="mpe" runat="server"
        PopupControlID="pnlPopup" TargetControlID="lnkDummy" BackgroundCssClass="modalBackground">
    </asp:ModalPopupExtender>
    <asp:Panel ID="pnlPopup" runat="server" CssClass="modalPopup" Style="display: none">
        <div class="header">
            Modal Popup
        </div>
        <div class="body">
            Your name: <span id="lblName"></span>
            <br />
            <asp:Button ID="btnClose" runat="server" Text="Close" OnClientClick="return HideModalPopup()" />
        </div>
    </asp:Panel>
    <script type="text/javascript">
        function DisplayName() {
            if (Page_ClientValidate()) {
                $get("lblName").innerHTML = $get("<%=txtName.ClientID %>").value;
                $find("mpe").show();
            }
            return false;
        }
        function HideModalPopup() {
            $find("mpe").hide();
            return false;
        }
    </script>
    </form>
</body>
</html>
